package com.iamberry.app.config;

public enum APIStatus {
	SUCCESS(1000, "success"),

	FAILURE(2000, "failure"),
	USER_NOT_EXIST(2001, "user not exist"),
	ERROR_REGISTER(2010, "user already exist"),
	INSERT_DUPLICATE(2011, "insert repeat"),
	ERROR_CODE(2101,"verificationCode is wrong"),
	CODE_TIMEOUT(2102,"verificationCode is overdue"),
	AUTHENTICATION_ERROR(2012,"authentication_error"),
	USER_FROZEN_ERROR(2013,"this account is frozen"),
	INVALID_PARAMETER(2020,"invalid_parameter"),
	INVALID_TOKEN(2100,"Invalid token"),
	ERROR_OLDPASSWORD(2200,"old password is wrong"),
	NOT_FOUND(4010,"not_found"),
	
	WARN_CART_FULL(4100,"cart was full"),
	INTERNAL_SERVER_ERROR(3010,"internal_server_error"),
	POINTS_NOT_AVALIABLE(5001,"points not avaliable"),
	AMOUNT_NOT_AVALIABLE(5011,"amount not avaliable"),
	BARCODE_NOT_FOUND(5020,"barcode not found"),
	;
	
	private int status;
	private String message;

	private APIStatus(int status, String message) {
		this.status = status;
		this.message = message;
	}

	public int getStatus() {
		return status;
	}

	public String getMessage() {
		return message;
	}

}
